## org.apache.ivy.plugins.repository.ssh
Class RemoteScpException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.ivy.plugins.repository.ssh.RemoteScpException

All Implemented Interfaces:
  java.io.Serializable

    public class RemoteScpException

extends java.lang.Exception

This exception will be used for Remote SCP Exceptions (failures on the target system, no connetion probs)

See Also:
  Serialized Form

Constructor Summary
`RemoteScpException()`
`RemoteScpException(java.lang.String message)`
`RemoteScpException(java.lang.String message, java.lang.Throwable cause)`
`RemoteScpException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteScpException

    public RemoteScpException()

### RemoteScpException

    public RemoteScpException(java.lang.String message)

Parameters:
  `message` -

### RemoteScpException

    public RemoteScpException(java.lang.Throwable cause)

Parameters:
  `cause` -

### RemoteScpException

    public RemoteScpException(java.lang.String message,
                              java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -